int  uio_resid(int a);
int uiomove(int a,int b,int c );
int uio_offset(int a);
int uio_setoffset(int a,int b);
int uio_addiov(int a,int b,int c);
int uio_free(int a);
int uio_create(int a,int b,int c,int d);